<?php
/**
* デフォルトのイベント実装クラス
*
* PHP version 5
*
* @package    events
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class DefaultEvent implements IEvent
{
	private $_request;

	/**
	 *   コンストラクタ
	 */
	public function __construct( IRequest $request )
	{
		$this->_request = $request;
	}

	/**
	 * イベント名
	 */
	public function getEventName()
	{
		return "Default Event";
	}

	/**
	 * イベントを初期化する
	 */
	public function init( Config $config )
	{
	}

	/**
	 * パラメータを取得する
	 */
	public function get( $key )
	{
		return $this->_request->get( $key );
	}

	/**
	 * パラメータ名の一覧を取得する
	 */
	public function getKeys()
	{
		return $this->_request->getKeys();
	}
}
